aboutsummaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run.sh')
-rw-r--r--run.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100644
index 0000000..0beb5eb
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,21 @@
+NEW_DISK="mkfs.md/disk.mdfs"
+
+echo "Compilando..."
+make > /dev/null
+if [ $? -ne 0 ]; then
+ echo "Error de compilacion"
+ exit 1
+fi
+
+fusermount -u ./mnt 2> /dev/null && echo "Desmontando"
+
+echo "Copiando $NEW_DISK"
+cp ./$NEW_DISK .
+
+if [ "$1" == "valgrind" ]; then
+ valgrind --show-reachable=yes --leak-check=full ./fusewrapper mnt
+else
+ ./fusewrapper mnt
+fi
+
+exit 0